# ListJurisdictionTaxTypesAndSubTypes

List tax types, subtypes, and rate types applicable for a given jurisdiction

`GET /api/v2/definitions/jurisdictions/{country}/{region}/{jurisdictionTypeId}/{jurisdictionCode}/taxTypesAndSubTypes`

**API:** AvaTax API
**Tag:** Definitions
**API Version:** v2
**Base URL:** https://sandbox-rest.avatax.com/
**Accepts:** `application/json`
**Authentication:** API Key (`Authorization` in header) or OAuth 2.0 or Basic (username + license key)

Source: https://developer.avalara.com/products/crossborder/api/methods/Definitions/ListJurisdictionTaxTypesAndSubTypes/

## Description

Returns a list of tax type and subtype groups, and optionally the available rate types for each group, applicable for a given jurisdiction.
            
This API lets you filter tax types and rate types based on whether they may apply in a given jurisdiction and provides a description of each.

If a company ID is provided, then only the tax types for which the company has nexus are shown.

If custom content is included, then all available custom tax types are included in the result if the calling user has the appropriate subscription
and the tax types are available in the jurisdiction's country.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `country` | string | path | Yes | ISO country code (e.g. `US`) |
| `region` | string | path | Yes | ISO region or state/province code (e.g. `CA` for California) |
| `jurisdictionTypeId` | string | path | Yes | Jurisdiction type identifier (e.g. `STA` for state) |
| `jurisdictionCode` | string | path | Yes | Code identifying a specific jurisdiction |
| `companyId` | integer | query | No | Optional query parameter. When set, tax type/subtype pairs are filtered to those which correspond to the company's 
configured nexus. When omitted, no nexus-based filtering is applied. |
| `effectiveDate` | string | query | No | Optional query parameter. When companyId is not provided, this is the date used to filter
effective tax types and rate types. Defaults to the current date. |
| `$top` | integer | query | No | If nonzero, return no more than this number of results.  Used with `$skip` to provide pagination for large datasets.  Unless otherwise specified, the maximum number of records that can be returned from an API call is 1,000 records. |
| `$skip` | integer | query | No | If nonzero, skip this number of results before returning data.  Used with `$top` to provide pagination for large datasets. |
| `$orderBy` | string | query | No | A comma separated list of sort statements in the format `(fieldname) [ASC|DESC]`, for example `id ASC`. |
| `$filter` | string | query | No | A filter statement to identify specific records to retrieve.  For more information on filtering, see [Filtering in REST](http://developer.avalara.com/avatax/filtering-in-rest/).*Not filterable:* rateTypes |
| `$includeCustomContent` | boolean | query | No | When true, merges in potentially applicable custom tax types and subtypes into result (i.e. for which no system content is defined). Defaults to false. |
| `$includeRateTypes` | boolean | query | No | Query parameter `$includeRateTypes`. When true (default), returns the rate types available for each tax type + subtype pair in the result. |
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API.  For more information on the client header, see [Client Headers](https://developer.avalara.com/avatax/client-headers/) . |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Success | `JurisdictionTaxTypesAndSubTypesModelFetchResult` |
| 400 | Bad Request |  |
| 401 | Unauthorized |  |
| 404 | Not Found |  |

### 200 Response: `JurisdictionTaxTypesAndSubTypesModelFetchResult`

| Property | Type | Required | Description |
|---|---|---|---|
| `@recordsetCount` | integer | No |  |
| `value` | JurisdictionTaxTypesAndSubTypesModel[] | No |  |
| `@nextLink` | string | No |  |

## Example Request

```bash
curl -X GET "https://sandbox-rest.avatax.com/api/v2/definitions/jurisdictions/{country}/{region}/{jurisdictionTypeId}/{jurisdictionCode}/taxTypesAndSubTypes" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```